Bug 789468 - (CVE-2012-0831) CVE-2012-0831 php: PG(magic_quote_gpc) was not restored on shutdown
CVE-2012-0831 php: PG(magic_quote_gpc) was not restored on shutdown
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120202,reported=2...
: Security
Depends On: 790676 865986 958614
Blocks: 789479 855229 952520
  Show dependency treegraph
 
Reported: 2012-02-10 15:39 EST by Vincent Danen
Modified: 2015-08-19 05:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 03:32:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-02-10 15:39:37 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-0831 to
the following vulnerability:

Name: CVE-2012-0831
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0831
Assigned: 20120119
Reference: http://svn.php.net/viewvc?view=revision&revision=323016
Reference: https://launchpadlibrarian.net/92454212/php5_5.3.2-1ubuntu4.13.diff.gz
Reference: UBUNTU:USN-1358-1
Reference: http://www.ubuntu.com/usn/USN-1358-1
Reference: http://www.securityfocus.com/bid/51954

PHP before 5.3.10 does not properly perform a temporary change to the
magic_quotes_gpc directive during the importing of environment
variables, which makes it easier for remote attackers to conduct SQL
injection attacks via a crafted request, related to
main/php_variables.c, sapi/cgi/cgi_main.c, and
sapi/fpm/fpm/fpm_main.c.
Comment 2 Huzaifa S. Sidhpurwala 2012-02-15 02:07:16 EST
There was a regression in the fix, which was released with php-5.3.10, more details at:

https://bugs.php.net/bug.php?id=61043
Comment 3 Huzaifa S. Sidhpurwala 2012-02-15 02:10:37 EST
Created php tracking bugs for this issue

Affects: fedora-all [bug 790676]
Comment 6 Vincent Danen 2012-04-26 11:13:18 EDT
PHP 5.3.11 fixed the regression noted in comment #2:

* Fixed bug #61043 (Regression in magic_quotes_gpc fix for CVE-2012-0831).

as per:

http://www.php.net/archive/2012.php#id2012-04-26-1
Comment 7 Fedora Update System 2012-05-06 22:48:42 EDT
php-5.3.11-1.fc15, php-eaccelerator-0.9.6.1-9.fc15.3, maniadrive-1.2-32.fc15.3 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-06 22:49:38 EDT
php-5.3.11-1.fc16, php-eaccelerator-0.9.6.1-9.fc16.3, maniadrive-1.2-32.fc16.3 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2013-02-21 05:13:51 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0514 https://rhn.redhat.com/errata/RHSA-2013-0514.html
Comment 13 errata-xmlrpc 2013-09-30 18:12:03 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1307 https://rhn.redhat.com/errata/RHSA-2013-1307.html
Comment 15 Huzaifa S. Sidhpurwala 2013-10-03 06:57:46 EDT
Statement:

This issue does not affect the version of php as shipped with Red Hat Enterprise Linux 5.

Note You need to log in before you can comment on or make changes to this bug.